[19.10 FEAT] Enhanced boot support for KVM guests - kernel part

Bug #1830617 reported by bugproxy on 2019-05-27
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Enhance the boot support from all applicable sources.
Enhanced boot support for KVM setups,
Will be made available with kernel 5.2 only

bugproxy (bugproxy) on 2019-05-27
tags: added: architecture-s39064 bugnameltc-177646 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes) wrote :

Please share the relevant commit IDs, so that we can double check once 5.2 got released.
Changing to Incomplete until 5.2 landed in 19.10.

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-07-10 08:59 EDT-------
git commit for kernel 5.2
https://github.com/torvalds/linux/commit/5abb9351df

Frank Heimes (fheimes) wrote :

$ rmadison --arch=s390x linux-generic | grep eoan-proposed
 linux-generic | 5.2.0.8.9 | eoan-proposed | s390x
$ git tag --contains 5abb9351df
Ubuntu-5.2.0-8.9
v5.2
$ git show 5abb9351df
commit 5abb9351dfd937d43193f4d09af9c72bfe2c4180
Author: Vasily Gorbik <email address hidden>
Date: Mon Apr 1 19:11:03 2019 +0200

    s390/uv: introduce guest side ultravisor code

    The Ultravisor Call Facility (stfle bit 158) defines an API to the
    Ultravisor (UV calls), a mini hypervisor located at machine
    level. With help of the Ultravisor, KVM will be able to run
    "protected" VMs, special VMs whose memory and management data are
    unavailable to KVM.

    The protected VMs can also request services from the Ultravisor.
    The guest api consists of UV calls to share and unshare memory with the
    kvm hypervisor.

    To enable this feature support PROTECTED_VIRTUALIZATION_GUEST kconfig
    option has been introduced.

    Co-developed-by: Janosch Frank <email address hidden>
    Signed-off-by: Janosch Frank <email address hidden>
    Signed-off-by: Vasily Gorbik <email address hidden>
    Signed-off-by: Martin Schwidefsky <email address hidden>

With that changing status to Fix Committed.

Changed in linux (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
information type: Private → Public
Frank Heimes (fheimes) wrote :

Since kernel 5.2 eventually landed in eoan's release pocket:
  linux-generic | 5.2.0.8.9 | eoan | s390
I'm changing this LP ticket to Fix Released.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-07-16 06:33 EDT-------
IBM bugzilla status -> closed, Fix Released with Eoan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers